﻿#pragma strict

var guiTextA : GameObject;
var guiTextB : GameObject;
var guiTextBox : GameObject;
var fadeTime : float = 0.2;

private var timer : float;
static var stage : int;

function Start()
{
	timer = 0;
	stage = 1;
	guiTextA.guiText.text = "";
	guiTextB.guiText.text = "";
	guiTextBox.guiTexture.color.a = 0;
}

function Update()
{
	timer += Time.deltaTime;
	
	if (stage == 1)
	{
		if (timer > 0 && timer < 2)
			guiTextBox.guiTexture.color.a += (fadeTime * Time.deltaTime);
			
		if (timer > 2 && timer < 7)
		{
			guiTextA.guiText.text = "Welcome 'World Lord'.";
			guiTextB.guiText.text = "";
		}
		if (timer > 7 && timer < 15)
		{
			guiTextA.guiText.text = "Make your way through the worlds by";
			guiTextB.guiText.text = "collecting power cores to power teleporters.";
		}
		if (timer > 15 && timer < 20)
		{
			guiTextA.guiText.text = "Use the arrow keys to move.";
			guiTextB.guiText.text = "";
		}
		if (timer > 20)
		{
			guiTextA.guiText.text = "";
			guiTextB.guiText.text = "";
			
			guiTextBox.guiTexture.color.a -= (fadeTime * Time.deltaTime);			
		}
	}
}